import { lintCypherQuery as _lintCypherQuery, _internalFeatureFlags, } from '@neo4j-cypher/language-support';
import workerpool from 'workerpool';
function lintCypherQuery(query, dbSchema, featureFlags = {}) {
    // We allow to override the consoleCommands feature flag
    if (featureFlags.consoleCommands !== undefined) {
        _internalFeatureFlags.consoleCommands = featureFlags.consoleCommands;
    }
    if (featureFlags.cypher25 !== undefined) {
        _internalFeatureFlags.cypher25 = featureFlags.cypher25;
    }
    return _lintCypherQuery(query, dbSchema);
}
workerpool.worker({ lintCypherQuery });
//# sourceMappingURL=lintWorker.js.map